<html>
<head>
<title>OgreMeshFileFormat.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreMeshFileFormat.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgreMeshFileFormat_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Resources.html#ga7b904fc5463a8ef1e61f6de39b603fc4">Ogre::MeshChunkID</a> { <br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae377c85390fc6c2cb7d57009bbcb48a3">Ogre::M_HEADER</a> =  0x1000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a7e30f93c634e73eccf5841247edcf394">Ogre::M_MESH</a> =  0x3000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a2ea0d2c7c324fa5745b325a9e1c4cbb8">Ogre::M_SUBMESH</a> =  0x4000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a204c8cf7adc882832f720fec814b3736">Ogre::M_SUBMESH_OPERATION</a> =  0x4010, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a0be59b8913a5cb6a92942172121a1feb">Ogre::M_SUBMESH_BONE_ASSIGNMENT</a> =  0x4100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a36e136a0ae3018f1bdb14cb8ee355b2a">Ogre::M_SUBMESH_TEXTURE_ALIAS</a> =  0x4200, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ab58cc7791a7fced01dfb77b38f804750">Ogre::M_GEOMETRY</a> =  0x5000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a529e87421877a2c003b001e99a2a1ec3">Ogre::M_GEOMETRY_VERTEX_DECLARATION</a> =  0x5100, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ac094ecf94bea8aabc8e50913260ca01a">Ogre::M_GEOMETRY_VERTEX_ELEMENT</a> =  0x5110, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae8e03368ae266d871c8bee40fc9b2884">Ogre::M_GEOMETRY_VERTEX_BUFFER</a> =  0x5200, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ab6b7146d2e47408f325e5d95f52d1360">Ogre::M_GEOMETRY_VERTEX_BUFFER_DATA</a> =  0x5210, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a061bd3bd94e92d0d31a76b1030d28a8b">Ogre::M_MESH_SKELETON_LINK</a> =  0x6000, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a5a2466fdd447d7a91aad57a941cbd336">Ogre::M_MESH_BONE_ASSIGNMENT</a> =  0x7000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4abe24a7ed8a68168e01d8f355f9924356">Ogre::M_MESH_LOD</a> =  0x8000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a91d18ad3575494d5723187a27c0554ad">Ogre::M_MESH_LOD_USAGE</a> =  0x8100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4aa70c05306a33c122ff87a48135ebff9f">Ogre::M_MESH_LOD_MANUAL</a> =  0x8110, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ab2e273eb42a551fce6fcedc23b1b5579">Ogre::M_MESH_LOD_GENERATED</a> =  0x8120, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a1516dd9026781cc83396590e73eb5bd2">Ogre::M_MESH_BOUNDS</a> =  0x9000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a53de3dbb8a1fb4199fecfcc13b99a780">Ogre::M_SUBMESH_NAME_TABLE</a> =  0xA000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ad2d5c64333e75efb676c25cf7413fbe7">Ogre::M_SUBMESH_NAME_TABLE_ELEMENT</a> =  0xA100, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a9702b7e52d4ea26c0eaffe49a2ea3fca">Ogre::M_EDGE_LISTS</a> =  0xB000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a85ec2f21278624525b12aae23fecd8a3">Ogre::M_EDGE_LIST_LOD</a> =  0xB100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a57ce1f8065af27bbbe84c1525b2541cb">Ogre::M_EDGE_GROUP</a> =  0xB110, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a8f20b9f53c4a616ebb80d5f5e6dce6f2">Ogre::M_POSES</a> =  0xC000, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4adb5976001d45fa25b6f5bf094ee26cb9">Ogre::M_POSE</a> =  0xC100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a1c05dca2e153c0546074b2361706d4d0">Ogre::M_POSE_VERTEX</a> =  0xC111, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a47ebdc0a3d866f96d1272b53c956d60a">Ogre::M_ANIMATIONS</a> =  0xD000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a20cea2365d30a7aad8f79ca58f058b50">Ogre::M_ANIMATION</a> =  0xD100, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a079f2868b05b6ee086bba76454a925df">Ogre::M_ANIMATION_BASEINFO</a> =  0xD105, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a06f1e8f333e075e3c50c1d6857423a3c">Ogre::M_ANIMATION_TRACK</a> =  0xD110, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a4227a01f9308f161b1dff36d37bfca1f">Ogre::M_ANIMATION_MORPH_KEYFRAME</a> =  0xD111, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a1530b8d3112bec8376a066db1859820d">Ogre::M_ANIMATION_POSE_KEYFRAME</a> =  0xD112, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a01f246a4298151dc5b2271de6bf19acc">Ogre::M_ANIMATION_POSE_REF</a> =  0xD113, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4adef65eae91dcd6082bbc4be1bf0d950e">Ogre::M_TABLE_EXTREMES</a> =  0xE000, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4a05282af650e923e0cbff1bc35e19eb21">Ogre::M_GEOMETRY_NORMALS</a> =  0x5100, 
<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4ae55f61d76f1149a9bed5c32711d404ab">Ogre::M_GEOMETRY_COLOURS</a> =  0x5200, 
<br/>
&#160;&#160;<a class="el" href="group__Resources.html#gga7b904fc5463a8ef1e61f6de39b603fc4aec8563534d08ae9b4d15d04e5c999c1d">Ogre::M_GEOMETRY_TEXCOORDS</a> =  0x5300
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of the OGRE .mesh file format.  <a href="group__Resources.html#ga7b904fc5463a8ef1e61f6de39b603fc4">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
